﻿namespace TimeKeeper.Events
{
    /// <summary>
    /// This event is raised when project is changed.
    /// </summary>
    public class ProjectChanged
    {
        /// <summary>
        /// Id of project which has been changed.
        /// </summary>
        public int Id { get; private set; }

        /// <summary>
        /// Type of change which has been made.
        /// </summary>
        public ChangeType Type { get; private set; }

        public ProjectChanged(int projectId, ChangeType type)
        {
            Id = projectId;
            Type = type;
        }
    }
}
