﻿namespace TimeKeeper.Events
{
    /// <summary>
    /// This event is raised when project's time is changed.
    /// </summary>
    public class ProjectTimeChanged
    {
        /// <summary>
        /// Id of project's time which has been changed.
        /// </summary>
        public int TimeId { get; private set; }

        /// <summary>
        /// Id of project  which changed time belongs to.
        /// </summary>
        public int ProjectId { get; private set; }

        /// <summary>
        /// Type of change which has been made.
        /// </summary>
        public ChangeType Type { get; private set; }

        public ProjectTimeChanged(int timeId, int projectId, ChangeType type)
        {
            TimeId = timeId;
            ProjectId = projectId;
            Type = type;
        }
    }
}
